%define ver  0.8.8
%define rel  1
%{!?jobs: %define jobs 4}

Name:          nodejs
Version:       %{ver}
Release:       %{rel}%{?dist}
Summary:       Node's goal is to provide an easy way to build scalable network programs.
Group:         Applications/Internet
License:       Copyright Joyent, Inc. and other Node contributors.
URL:           http://nodejs.org
Source0:       http://nodejs.org/dist/node-v%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python >= 2.4

%description
Node.js is a server-side JavaScript environment that uses an asynchronous
event-driven model. This allows Node.js to get excellent performance based on
the architectures of many Internet applications.

%prep
%setup -q -n node-v%{version}

%build
export JOBS=%{jobs}
./configure --prefix=/usr \
--gdb 

make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/usr/lib/pkgconfig/
cat > %{buildroot}/usr/lib/pkgconfig/nodejs.pc <<END
version=%{version}
prefix=%{_prefix}
libdir=${prefix}/lib
includedir=${prefix}/include/node

Name: nodejs
Description: Evented I/O for V8 JavaScript.
Version: ${version}
Cflags: -I${includedir}
END

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README.md doc

%{_bindir}/node
%{_bindir}/node-waf
%{_bindir}/npm
/usr/lib/node
/usr/lib/dtrace/node.d
/usr/lib/node_modules/npm/
/usr/lib/pkgconfig/nodejs.pc
%{_includedir}/node
%{_mandir}/man1/node.1.gz


%changelog
* Thu Aug 23 2012 Oleg Sadov <sadov at linux-ink.ru> 0.8.8-1
- Updated to 0.8.8

* Tue Aug 21 2012 Oleg Sadov <sadov at linux-ink.ru> 0.8.7-1
- Updated to 0.8.7

* Wed Aug  8 2012 Oleg Sadov <sadov at linux-ink.ru> 0.8.6-1
- Updated to 0.8.6

* Wed Jul 25 2012 Oleg Sadov <sadov at linux-ink.ru> 0.8.4-1
- Updated to 0.8.4

* Fri Jul 20 2012 Oleg Sadov <sadov at linux-ink.ru> 0.8.3-1
- Updated to 0.8.3
- Fix for removing npm directory with insufficient privilegies

* Wed Jul 18 2012 Oleg Sadov <sadov at linux-ink.ru> 0.8.2-1
- Updated to 0.8.2
- Fixed x86_64 build bug https://github.com/joyent/node/commit/b40f813

* Tue Jun 26 2012 Oleg Sadov <sadov at linux-ink.ru> 0.8.0-1
- Updated to 0.8.0

* Wed Jun 20 2012 Oleg Sadov <sadov at linux-ink.ru> 0.6.19-1
- Updated to 0.6.19

* Sat Feb 18 2012 Oleg Sadov <sadov at linux-ink.ru> 0.6.11-1
- Updated to 0.6.11

* Thu Feb 16 2012 Oleg Sadov <sadov at linux-ink.ru> 0.6.10-1
- Updated to 0.6.10

* Wed Jan 11 2012 Oleg Sadov <sadov at linux-ink.ru> 0.6.7-1
- Updated to 0.6.7

* Mon Dec  5 2011 Oleg Sadov <sadov at linux-ink.ru> 0.6.5-1
- Updated to 0.6.5

* Fri Dec  2 2011 Oleg Sadov <sadov at linux-ink.ru> 0.6.4-1
- Updated to 0.6.4

* Wed Nov 30 2011 Oleg Sadov <sadov at linux-ink.ru> 0.6.3-1
- Updated to 0.6.3

* Mon Nov  7 2011 Oleg Sadov <sadov at linux-ink.ru> 0.6.0-1
- Updated to 0.6.0

* Thu Apr 14 2011 Chris Abernethy <cabernet@chrisabernethy.com> 0.4.6-1
- Initial rpm using upstream v0.4.6
